package com.ssj.service.conch.student.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;

import io.swagger.annotations.ApiModelProperty;

public class SwipeQrCodeRequest extends BaseRequest {
    private static final  long serialVersionUID = 1L;

    @ApiModelProperty(name = "qrCode", value = "二维码内容", required = true)
    private String    qrCode;
    
    @ApiModelProperty(name="platform",value="信鸽推送平台(ANDROID,IOS)", required = true)
	private String platform;
	
	@ApiModelProperty(name = "xingeToken", value = "信鸽token信息", required = true)
    private String xingeToken;

    public String getQrCode() {
        return qrCode;
    }

    public void setQrCode(String qrCode) {
        this.qrCode = qrCode;
    }

	public String getPlatform() {
		return platform;
	}

	public void setPlatform(String platform) {
		this.platform = platform;
	}

	public String getXingeToken() {
		return xingeToken;
	}

	public void setXingeToken(String xingeToken) {
		this.xingeToken = xingeToken;
	}
    
}
